# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pgkingdom/version'

Gem::Specification.new do |spec|
  spec.name          = "pgkingdom"
  spec.version       = PgKingdom::VERSION
  spec.authors       = ["Nuqz"]
  spec.email         = ["nuqz@indiesoft.ru"]

  spec.summary       = %q{SQL statements generator for PostgreSQL >= 9.6 for Ruby >= 2.4.}
  spec.description   = %q{A set of classes and micro-DSLs to generate SQL queries special for PostgreSQL backends.}
  spec.homepage      = "https://github.com/indiesoft/pgkingdom"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "yard", "~> 0.9", ">= 0.9.5"
  spec.add_development_dependency "redcarpet", "~> 3.4"
  spec.add_development_dependency "github-markup", "~> 1.4"
  spec.add_development_dependency "simplecov", "~> 0.12"
  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rspec-its", "~> 1.2"
  spec.add_development_dependency "pg", "~> 0.19"
  spec.add_development_dependency "byebug", "9.0"
end
